Skip to main content
PUT
Update an automation rule

Path Parameters

id
string
required

Automation rule UUID

Body

application/json
actions
object[] | null
conditions
object
description
string
enabled
boolean
name
string
priority
integer<int64>
schedule
object

Response

OK

actions
object[] | null
required
conditions
object
required
created_at
string<date-time>
required
created_by_kind
string
required
creator_id
string
required
enabled
boolean
required
id
string
required
name
string
required
priority
integer<int64>
required
scope
string
required
updated_at
string<date-time>
required
version
integer<int64>
required
$schema
string<uri>
read-only

A URL to the JSON Schema for this object.

Example:

"https://api.linebundle.com/schemas/Rule.json"

description
string
org_id
string
schedule
object
scope_id
string
Last modified on June 11, 2026